/******************************************************************************
* Ksztette: Fehr rpd
* Dtum 2016. szeptember 19
* Board: BIGAVR6
* Lers: Hmr szenzor
******************************************************************************/
/******************************************************************************
* Include files
******************************************************************************/
#include <avr/io.h>
#include <inttypes.h>
#include <avr/interrupt.h>
#define F_CPU 8000000UL
#include <util/delay.h>

#include "lcd.h"
#include "timer.h"

/******************************************************************************
* Macros
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/


/******************************************************************************
* Global Variables
******************************************************************************/
extern volatile uint8_t timer_5ms,timer_10ms,timer_25ms,timer_100ms,timer_1000ms;
char write_string[100]={};

/******************************************************************************
* External Variables
******************************************************************************/


/******************************************************************************
* Local Function Declarations
******************************************************************************/
void port_init(void);

/******************************************************************************
* Local Function Definitions
******************************************************************************/
void port_init(void)
{
	DDRA=0x00;
	DDRB |= (1<<PB0);
	DDRC=0x00;
	DDRD=0x00;
	DDRE=0x00;
	DDRF=0x00;
	DDRG=0x00;

	PORTA=0x00;
	PORTB |= (1<<PB0);
	PORTC=0x00;
	PORTD=0x00;
	PORTE=0x00;
	PORTF=0x00;
	PORTG=0x00;
}


int main(void)
{
	port_init();
	lcdinit();
	TIMER0_Init();
	sei();

	while(1)
	{
		
		
		if(timer_5ms)
		{
			
			timer_5ms=FALSE;
		}
		
		if(timer_10ms)
		{
			
			timer_10ms=FALSE;
		}
		
		if(timer_25ms)
		{
			timer_25ms=FALSE;
		}
		
		if(timer_100ms)
		{
			
			timer_100ms=FALSE;
		}
		
		if(timer_1000ms)
		{
			lcd_set_address(0);
			int16_t temp=DS1820_read_temperature();
			uint8_t t=0;
			if(temp & 0x0001) t=5; else t=0;
			sprintf(write_string,"%d.%d C",temp/2,t);
			lcdreir(write_string);
			timer_1000ms=FALSE;
		}
		
	}
}

